## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# https://github.com/cupcakearmy/autorestic
%global goipath         github.com/cupcakearmy/autorestic
Version:                1.8.2

%gometa -f

%global goname          autorestic

%global common_description %{expand:
Config driven, easy backup cli for restic.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md DEVELOPMENT.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Config driven, easy backup cli for restic

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/%{name} %{goipath}

%{gobuilddir}/bin/%{name} completion bash > %{name}.bash
%{gobuilddir}/bin/%{name} completion fish > %{name}.fish
%{gobuilddir}/bin/%{name} completion zsh  > %{name}.zsh

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

install -Dpm 0644 %{name}.bash %{buildroot}%{bash_completions_dir}/%{name}
install -Dpm 0644 %{name}.fish %{buildroot}%{fish_completions_dir}/%{name}.fish
install -Dpm 0644 %{name}.zsh  %{buildroot}%{zsh_completions_dir}/_%{name}

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc CHANGELOG.md DEVELOPMENT.md README.md
%{_bindir}/%{name}
%{bash_completions_dir}/%{name}
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}

%changelog
## START: Generated by rpmautospec
* Fri Mar 29 2024 Packit <hello@packit.dev> - 1.8.2-1
- [packit] 1.8.2 upstream release
- Resolves: rhbz#2272131

* Sat Feb 10 2024 Packit <hello@packit.dev> - 1.7.11-1
- [packit] 1.7.11 upstream release
- Resolves rhbz#2263596

* Fri Jan 12 2024 Packit <hello@packit.dev> - 1.7.10-1
- [packit] 1.7.10 upstream release
- Resolves rhbz#2258116

* Mon Oct 02 2023 Major Hayden <major@redhat.com> - 1.7.9-1
- Update to 1.7.9

* Mon Oct 02 2023 Major Hayden <major@redhat.com> - 1.7.7-3
- Skip bodhi updates from packit

* Mon Jul 31 2023 Major Hayden <major@redhat.com> - 1.7.7-2
- Add packit config

* Mon Jul 31 2023 Major Hayden <major@redhat.com> - 1.7.7-1
- First package rhbz#2175893
## END: Generated by rpmautospec
